Description: Remove usage of backports.ssl_match_hostname
 It's now in Python 2.7 (see
 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=869896)
Author: Sophie Brun <sophie@offensive-security.com>
Last-Update: 2018-10-17
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/mitmproxy-0.17/netlib/tcp.py
+++ b/mitmproxy-0.17/netlib/tcp.py
@@ -11,7 +11,7 @@ import binascii
 from six.moves import range
 
 import certifi
-from backports import ssl_match_hostname
+import ssl
 import six
 import OpenSSL
 from OpenSSL import SSL
@@ -686,8 +686,8 @@ class TCPClient(_Connection):
                 hostname = sni.decode("ascii", "strict")
             else:
                 hostname = "no-hostname"
-            ssl_match_hostname.match_hostname(crt, hostname)
-        except (ValueError, ssl_match_hostname.CertificateError) as e:
+            ssl.match_hostname(crt, hostname)
+        except (ValueError, ssl.CertificateError) as e:
             self.ssl_verification_error = dict(depth=0, errno="Invalid Hostname")
             if verification_mode == SSL.VERIFY_PEER:
                 raise InvalidCertificateException("Presented certificate for {} is not valid: {}".format(sni, str(e)))
--- a/mitmproxy-0.17/setup.py
+++ b/mitmproxy-0.17/setup.py
@@ -59,7 +59,6 @@ setup(
     # https://packaging.python.org/en/latest/requirements/#install-requires
     # It is not considered best practice to use install_requires to pin dependencies to specific versions.
     install_requires=[
-        "backports.ssl_match_hostname>=3.5.0.1, <3.6",
         "blinker>=1.4, <1.5",
         "click>=6.2, <7.0",
         "certifi>=2015.11.20.1",  # no semver here - this should always be on the last release!
